/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.gebietsbaum.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.GebietConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(GebietMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class GebietMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietMeta";

  @Inject
  private transient Messages messages;

  public GebietMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getAnzahlSitzeEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ANZAHL_SITZE_EINZAHL;
  }

  public String getAnzahlSitzeMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ANZAHL_SITZE_MEHRZAHL;
  }


  public String getAnzahlSitzeEinzahlMessage(){
    return getMessage(getAnzahlSitzeEinzahlMessageKey());
  }

  public String getAnzahlSitzeMehrzahlMessage(){
    return getMessage(getAnzahlSitzeMehrzahlMessageKey());
  }



  public boolean isAnzahlSitzeRequired() {
    return !GebietConstants.ANZAHL_SITZE_NULLABLE;
  }

  public java.lang.Long getAnzahlSitzeDefaultValue() {
    return GebietConstants.ANZAHL_SITZE_DEFAULT_VALUE;
  }

  public int getAnzahlSitzeMaxLength() {
    return GebietConstants.ANZAHL_SITZE_MAX_LENGTH;
  }

  public long getAnzahlSitzeMinValue() {
    return GebietConstants.ANZAHL_SITZE_MIN_VALUE;
  }

  public long getAnzahlSitzeMaxValue() {
    return GebietConstants.ANZAHL_SITZE_MAX_VALUE;
  }

  public String getAnzahlStimmenProWaehlerEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ANZAHL_STIMMEN_PRO_WAEHLER_EINZAHL;
  }

  public String getAnzahlStimmenProWaehlerMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ANZAHL_STIMMEN_PRO_WAEHLER_MEHRZAHL;
  }


  public String getAnzahlStimmenProWaehlerEinzahlMessage(){
    return getMessage(getAnzahlStimmenProWaehlerEinzahlMessageKey());
  }

  public String getAnzahlStimmenProWaehlerMehrzahlMessage(){
    return getMessage(getAnzahlStimmenProWaehlerMehrzahlMessageKey());
  }



  public boolean isAnzahlStimmenProWaehlerRequired() {
    return !GebietConstants.ANZAHL_STIMMEN_PRO_WAEHLER_NULLABLE;
  }

  public java.lang.Long getAnzahlStimmenProWaehlerDefaultValue() {
    return GebietConstants.ANZAHL_STIMMEN_PRO_WAEHLER_DEFAULT_VALUE;
  }

  public int getAnzahlStimmenProWaehlerMaxLength() {
    return GebietConstants.ANZAHL_STIMMEN_PRO_WAEHLER_MAX_LENGTH;
  }

  public long getAnzahlStimmenProWaehlerMinValue() {
    return GebietConstants.ANZAHL_STIMMEN_PRO_WAEHLER_MIN_VALUE;
  }

  public long getAnzahlStimmenProWaehlerMaxValue() {
    return GebietConstants.ANZAHL_STIMMEN_PRO_WAEHLER_MAX_VALUE;
  }

  public String getAnzahlWahlberechtigteVorlaeufigEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ANZAHL_WAHLBERECHTIGTER_VL_EINZAHL;
  }

  public String getAnzahlWahlberechtigteVorlaeufigMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ANZAHL_WAHLBERECHTIGTER_VL_MEHRZAHL;
  }


  public String getAnzahlWahlberechtigteVorlaeufigEinzahlMessage(){
    return getMessage(getAnzahlWahlberechtigteVorlaeufigEinzahlMessageKey());
  }

  public String getAnzahlWahlberechtigteVorlaeufigMehrzahlMessage(){
    return getMessage(getAnzahlWahlberechtigteVorlaeufigMehrzahlMessageKey());
  }



  public boolean isAnzahlWahlberechtigteVorlaeufigRequired() {
    return !GebietConstants.ANZAHL_WAHLBERECHTIGTER_VL_NULLABLE;
  }

  public java.lang.Long getAnzahlWahlberechtigteVorlaeufigDefaultValue() {
    return GebietConstants.ANZAHL_WAHLBERECHTIGTER_VL_DEFAULT_VALUE;
  }

  public int getAnzahlWahlberechtigteVorlaeufigMaxLength() {
    return GebietConstants.ANZAHL_WAHLBERECHTIGTER_VL_MAX_LENGTH;
  }

  public long getAnzahlWahlberechtigteVorlaeufigMinValue() {
    return GebietConstants.ANZAHL_WAHLBERECHTIGTER_VL_MIN_VALUE;
  }

  public long getAnzahlWahlberechtigteVorlaeufigMaxValue() {
    return GebietConstants.ANZAHL_WAHLBERECHTIGTER_VL_MAX_VALUE;
  }

  public String getAuswahlbezirkEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_AUSWAHLBEZIRK_EINZAHL;
  }

  public String getAuswahlbezirkMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_AUSWAHLBEZIRK_MEHRZAHL;
  }


  public String getAuswahlbezirkEinzahlMessage(){
    return getMessage(getAuswahlbezirkEinzahlMessageKey());
  }

  public String getAuswahlbezirkMehrzahlMessage(){
    return getMessage(getAuswahlbezirkMehrzahlMessageKey());
  }



  public boolean isAuswahlbezirkRequired() {
    return !GebietConstants.AUSWAHLBEZIRK_NULLABLE;
  }

  public java.lang.Boolean getAuswahlbezirkDefaultValue() {
    return GebietConstants.AUSWAHLBEZIRK_DEFAULT_VALUE;
  }


  public String getBeweglicherWahlvorstandEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_BEWEGLICHER_WAHLVORSTAND_EINZAHL;
  }

  public String getBeweglicherWahlvorstandMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_BEWEGLICHER_WAHLVORSTAND_MEHRZAHL;
  }


  public String getBeweglicherWahlvorstandEinzahlMessage(){
    return getMessage(getBeweglicherWahlvorstandEinzahlMessageKey());
  }

  public String getBeweglicherWahlvorstandMehrzahlMessage(){
    return getMessage(getBeweglicherWahlvorstandMehrzahlMessageKey());
  }



  public boolean isBeweglicherWahlvorstandRequired() {
    return !GebietConstants.BEWEGLICHER_WAHLVORSTAND_NULLABLE;
  }

  public java.lang.Boolean getBeweglicherWahlvorstandDefaultValue() {
    return GebietConstants.BEWEGLICHER_WAHLVORSTAND_DEFAULT_VALUE;
  }


  public String getDiscriminatorEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_DISCRIMINATOR_EINZAHL;
  }

  public String getDiscriminatorMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_DISCRIMINATOR_MEHRZAHL;
  }


  public String getDiscriminatorEinzahlMessage(){
    return getMessage(getDiscriminatorEinzahlMessageKey());
  }

  public String getDiscriminatorMehrzahlMessage(){
    return getMessage(getDiscriminatorMehrzahlMessageKey());
  }



  public boolean isDiscriminatorRequired() {
    return !GebietConstants.DISCRIMINATOR_NULLABLE;
  }

  public java.lang.String getDiscriminatorDefaultValue() {
    return GebietConstants.DISCRIMINATOR_DEFAULT_VALUE;
  }

  public int getDiscriminatorMaxLength() {
    return GebietConstants.DISCRIMINATOR_MAX_LENGTH;
  }

  public String getAnzahlErforderlicherUnterstuetzerEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ERFORDERLICHE_UNTERSTUETZER_EINZAHL;
  }

  public String getAnzahlErforderlicherUnterstuetzerMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ERFORDERLICHE_UNTERSTUETZER_MEHRZAHL;
  }


  public String getAnzahlErforderlicherUnterstuetzerEinzahlMessage(){
    return getMessage(getAnzahlErforderlicherUnterstuetzerEinzahlMessageKey());
  }

  public String getAnzahlErforderlicherUnterstuetzerMehrzahlMessage(){
    return getMessage(getAnzahlErforderlicherUnterstuetzerMehrzahlMessageKey());
  }



  public boolean isAnzahlErforderlicherUnterstuetzerRequired() {
    return !GebietConstants.ERFORDERLICHE_UNTERSTUETZER_NULLABLE;
  }

  public java.lang.Long getAnzahlErforderlicherUnterstuetzerDefaultValue() {
    return GebietConstants.ERFORDERLICHE_UNTERSTUETZER_DEFAULT_VALUE;
  }

  public int getAnzahlErforderlicherUnterstuetzerMaxLength() {
    return GebietConstants.ERFORDERLICHE_UNTERSTUETZER_MAX_LENGTH;
  }

  public long getAnzahlErforderlicherUnterstuetzerMinValue() {
    return GebietConstants.ERFORDERLICHE_UNTERSTUETZER_MIN_VALUE;
  }

  public long getAnzahlErforderlicherUnterstuetzerMaxValue() {
    return GebietConstants.ERFORDERLICHE_UNTERSTUETZER_MAX_VALUE;
  }

  public String getExterneIdEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_EXTERNE_ID_EINZAHL;
  }

  public String getExterneIdMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_EXTERNE_ID_MEHRZAHL;
  }


  public String getExterneIdEinzahlMessage(){
    return getMessage(getExterneIdEinzahlMessageKey());
  }

  public String getExterneIdMehrzahlMessage(){
    return getMessage(getExterneIdMehrzahlMessageKey());
  }



  public boolean isExterneIdRequired() {
    return !GebietConstants.EXTERNE_ID_NULLABLE;
  }

  public java.lang.String getExterneIdDefaultValue() {
    return GebietConstants.EXTERNE_ID_DEFAULT_VALUE;
  }

  public int getExterneIdMaxLength() {
    return GebietConstants.EXTERNE_ID_MAX_LENGTH;
  }

  public String getExterneIdSaltEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_EXTERNE_ID_SALT_EINZAHL;
  }

  public String getExterneIdSaltMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_EXTERNE_ID_SALT_MEHRZAHL;
  }


  public String getExterneIdSaltEinzahlMessage(){
    return getMessage(getExterneIdSaltEinzahlMessageKey());
  }

  public String getExterneIdSaltMehrzahlMessage(){
    return getMessage(getExterneIdSaltMehrzahlMessageKey());
  }



  public boolean isExterneIdSaltRequired() {
    return !GebietConstants.EXTERNE_ID_SALT_NULLABLE;
  }

  public java.lang.String getExterneIdSaltDefaultValue() {
    return GebietConstants.EXTERNE_ID_SALT_DEFAULT_VALUE;
  }

  public int getExterneIdSaltMaxLength() {
    return GebietConstants.EXTERNE_ID_SALT_MAX_LENGTH;
  }

  public String getKuerzelEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_KUERZEL_EINZAHL;
  }

  public String getKuerzelMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_KUERZEL_MEHRZAHL;
  }


  public String getKuerzelEinzahlMessage(){
    return getMessage(getKuerzelEinzahlMessageKey());
  }

  public String getKuerzelMehrzahlMessage(){
    return getMessage(getKuerzelMehrzahlMessageKey());
  }



  public boolean isKuerzelRequired() {
    return !GebietConstants.KUERZEL_NULLABLE;
  }

  public java.lang.String getKuerzelDefaultValue() {
    return GebietConstants.KUERZEL_DEFAULT_VALUE;
  }

  public int getKuerzelMaxLength() {
    return GebietConstants.KUERZEL_MAX_LENGTH;
  }

  public String getNameEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !GebietConstants.NAME_NULLABLE;
  }

  public java.lang.String getNameDefaultValue() {
    return GebietConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return GebietConstants.NAME_MAX_LENGTH;
  }

  public String getNummerEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_NUMMER_EINZAHL;
  }

  public String getNummerMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_NUMMER_MEHRZAHL;
  }


  public String getNummerEinzahlMessage(){
    return getMessage(getNummerEinzahlMessageKey());
  }

  public String getNummerMehrzahlMessage(){
    return getMessage(getNummerMehrzahlMessageKey());
  }



  public boolean isNummerRequired() {
    return !GebietConstants.NUMMER_NULLABLE;
  }

  public java.lang.String getNummerDefaultValue() {
    return GebietConstants.NUMMER_DEFAULT_VALUE;
  }

  public int getNummerMaxLength() {
    return GebietConstants.NUMMER_MAX_LENGTH;
  }

  public String getNummerBezirkEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_NUMMER_BEZIRK_EINZAHL;
  }

  public String getNummerBezirkMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_NUMMER_BEZIRK_MEHRZAHL;
  }


  public String getNummerBezirkEinzahlMessage(){
    return getMessage(getNummerBezirkEinzahlMessageKey());
  }

  public String getNummerBezirkMehrzahlMessage(){
    return getMessage(getNummerBezirkMehrzahlMessageKey());
  }



  public boolean isNummerBezirkRequired() {
    return !GebietConstants.NUMMER_BEZIRK_NULLABLE;
  }

  public java.lang.String getNummerBezirkDefaultValue() {
    return GebietConstants.NUMMER_BEZIRK_DEFAULT_VALUE;
  }

  public int getNummerBezirkMaxLength() {
    return GebietConstants.NUMMER_BEZIRK_MAX_LENGTH;
  }

  public String getPositionEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_POSITION_EINZAHL;
  }

  public String getPositionMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_POSITION_MEHRZAHL;
  }


  public String getPositionEinzahlMessage(){
    return getMessage(getPositionEinzahlMessageKey());
  }

  public String getPositionMehrzahlMessage(){
    return getMessage(getPositionMehrzahlMessageKey());
  }



  public boolean isPositionRequired() {
    return !GebietConstants.POSITION_NULLABLE;
  }

  public java.lang.Long getPositionDefaultValue() {
    return GebietConstants.POSITION_DEFAULT_VALUE;
  }

  public int getPositionMaxLength() {
    return GebietConstants.POSITION_MAX_LENGTH;
  }

  public long getPositionMinValue() {
    return GebietConstants.POSITION_MIN_VALUE;
  }

  public long getPositionMaxValue() {
    return GebietConstants.POSITION_MAX_VALUE;
  }

  public String getSonderstimmbezirkEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_SONDERSTIMMBEZIRK_EINZAHL;
  }

  public String getSonderstimmbezirkMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_SONDERSTIMMBEZIRK_MEHRZAHL;
  }


  public String getSonderstimmbezirkEinzahlMessage(){
    return getMessage(getSonderstimmbezirkEinzahlMessageKey());
  }

  public String getSonderstimmbezirkMehrzahlMessage(){
    return getMessage(getSonderstimmbezirkMehrzahlMessageKey());
  }



  public boolean isSonderstimmbezirkRequired() {
    return !GebietConstants.SONDERSTIMMBEZIRK_NULLABLE;
  }

  public java.lang.Boolean getSonderstimmbezirkDefaultValue() {
    return GebietConstants.SONDERSTIMMBEZIRK_DEFAULT_VALUE;
  }


  public String getUmfragebezirkEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_UMFRAGEBEZIRK_EINZAHL;
  }

  public String getUmfragebezirkMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_UMFRAGEBEZIRK_MEHRZAHL;
  }


  public String getUmfragebezirkEinzahlMessage(){
    return getMessage(getUmfragebezirkEinzahlMessageKey());
  }

  public String getUmfragebezirkMehrzahlMessage(){
    return getMessage(getUmfragebezirkMehrzahlMessageKey());
  }



  public boolean isUmfragebezirkRequired() {
    return !GebietConstants.UMFRAGEBEZIRK_NULLABLE;
  }

  public java.lang.Boolean getUmfragebezirkDefaultValue() {
    return GebietConstants.UMFRAGEBEZIRK_DEFAULT_VALUE;
  }


  public String getWahlbeteiligungsbezirkEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_WAHLBETEILIGUNGSBEZIRK_EINZAHL;
  }

  public String getWahlbeteiligungsbezirkMehrzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_WAHLBETEILIGUNGSBEZIRK_MEHRZAHL;
  }


  public String getWahlbeteiligungsbezirkEinzahlMessage(){
    return getMessage(getWahlbeteiligungsbezirkEinzahlMessageKey());
  }

  public String getWahlbeteiligungsbezirkMehrzahlMessage(){
    return getMessage(getWahlbeteiligungsbezirkMehrzahlMessageKey());
  }



  public boolean isWahlbeteiligungsbezirkRequired() {
    return !GebietConstants.WAHLBETEILIGUNGSBEZIRK_NULLABLE;
  }

  public java.lang.Boolean getWahlbeteiligungsbezirkDefaultValue() {
    return GebietConstants.WAHLBETEILIGUNGSBEZIRK_DEFAULT_VALUE;
  }



  public String getAnschriftEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ANSCHRIFT_ID_EINZAHL;
  }

  public String getAnschriftEinzahlMessage(){
    return getMessage(getAnschriftEinzahlMessageKey());
  }

  public boolean isAnschriftRequired() {
    return !GebietConstants.ANSCHRIFT_ID_NULLABLE;
  }


  public String getAnsprechpartnerEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_ANSPRECHPARTNER_ID_EINZAHL;
  }

  public String getAnsprechpartnerEinzahlMessage(){
    return getMessage(getAnsprechpartnerEinzahlMessageKey());
  }

  public boolean isAnsprechpartnerRequired() {
    return !GebietConstants.ANSPRECHPARTNER_ID_NULLABLE;
  }


  public String getBearbeitenRolleEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_BEARBEITEN_ID_EINZAHL;
  }

  public String getBearbeitenRolleEinzahlMessage(){
    return getMessage(getBearbeitenRolleEinzahlMessageKey());
  }

  public boolean isBearbeitenRolleRequired() {
    return !GebietConstants.BEARBEITEN_ID_NULLABLE;
  }


  public String getCustomDataStorageEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_CUSTOM_DATA_STORAGE_ID_EINZAHL;
  }

  public String getCustomDataStorageEinzahlMessage(){
    return getMessage(getCustomDataStorageEinzahlMessageKey());
  }

  public boolean isCustomDataStorageRequired() {
    return !GebietConstants.CUSTOM_DATA_STORAGE_ID_NULLABLE;
  }


  public String getEinsehenRolleEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_EINSEHEN_ID_EINZAHL;
  }

  public String getEinsehenRolleEinzahlMessage(){
    return getMessage(getEinsehenRolleEinzahlMessageKey());
  }

  public boolean isEinsehenRolleRequired() {
    return !GebietConstants.EINSEHEN_ID_NULLABLE;
  }


  public String getGebietsartEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_GEBIETSART_ID_EINZAHL;
  }

  public String getGebietsartEinzahlMessage(){
    return getMessage(getGebietsartEinzahlMessageKey());
  }

  public boolean isGebietsartRequired() {
    return !GebietConstants.GEBIETSART_ID_NULLABLE;
  }


  public String getUebergeordnetesGebietEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_UEBERGEORDNETES_GEBIET_ID_EINZAHL;
  }

  public String getUebergeordnetesGebietEinzahlMessage(){
    return getMessage(getUebergeordnetesGebietEinzahlMessageKey());
  }

  public boolean isUebergeordnetesGebietRequired() {
    return !GebietConstants.UEBERGEORDNETES_GEBIET_ID_NULLABLE;
  }


  public String getVerantwortlicherMandantEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_VERANTWORTLICHER_MANDANT_ID_EINZAHL;
  }

  public String getVerantwortlicherMandantEinzahlMessage(){
    return getMessage(getVerantwortlicherMandantEinzahlMessageKey());
  }

  public boolean isVerantwortlicherMandantRequired() {
    return !GebietConstants.VERANTWORTLICHER_MANDANT_ID_NULLABLE;
  }


  public String getWahlterminEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_WAHLTERMIN_ID_EINZAHL;
  }

  public String getWahlterminEinzahlMessage(){
    return getMessage(getWahlterminEinzahlMessageKey());
  }

  public boolean isWahlterminRequired() {
    return !GebietConstants.WAHLTERMIN_ID_NULLABLE;
  }


  public String getWahlEinzahlMessageKey(){
    return GebietConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !GebietConstants.WAHL_ID_NULLABLE;
  }

}